Skip to main content

Get a scan event

GET /scans/{id}

Requires scans:read. Returns scan events belonging to the authenticated organisation.

Authorization​

X-API-Key required

Parameters​

NameLocationTypeRequired
idpathstringYes

Request Examples​

curl -X GET "https://api.remypass.com/api/v1/public/scans/507f1f77bcf86cd799439011" \
  -H "Accept: application/json" \
  -H "X-API-Key: YOUR_API_KEY"

Responses​

StatusDescription
200Success
400Invalid request
401Authentication required
403Insufficient permissions
404Scan event not found
429Rate limit exceeded.
500Server error.

200 Response Example​

{
"success": true,
"message": "string",
"data": {
"_id": "string",
"member": "string",
"passInstance": "string",
"source": "ios",
"location": "string",
"input": "string",
"result": "string",
"reason": "string",
"type": "IN",
"createdAt": "2026-01-01T12:00:00.000Z",
"updatedAt": "2026-01-01T12:00:00.000Z",
"quantity": 1
}
}

Response Fields​

FieldTypeDescriptionAttributes
successboolean
messagestring
dataobject
Show child attributes
  • _id: string
  • member: string
  • passInstance: string
  • source: ios, android, web, mac, system, square
  • location: string
  • input: string
  • result: string
  • reason: string
  • type: IN, OUT, IGNORED, STAMP_GIVEN, TICKET_REDEEMED
  • createdAt: string (date-time)
  • updatedAt: string (date-time)
  • quantity: number